### Method

# GObject Object set

#### Declaration [src]

    void
    g_object_set (
      GObject* object,
      const gchar* first_property_name,
      ...
    )

#### Description [src]

Sets properties on an object.

The same caveats about passing integer literals as varargs apply as with g_object_new(). In particular, any integer literals set as the values for properties of type #gint64 or #guint64 must be 64 bits wide, using the `G_GINT64_CONSTANT` or `G_GUINT64_CONSTANT` macros.

Note that the “notify” signals are queued and only emitted (in reverse order) after all properties have been set. See g_object_freeze_notify().

This method is not directly available to language bindings.

#### Parameters

`first_property_name`

  Type: `const gchar*`

  Name of the first property to set.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Value for the first property, followed optionally by more name/value pairs, followed by `NULL`.